BadBinaryOpValueExpException (Java SE 13 & JDK 13 )
Description: declaration: module: java.management, package: javax.management, class: BadBinaryOpValueExpException
Keywords: javax.management.BadBinaryOpValueExpException class

Module java.management
Package javax.management

# Class BadBinaryOpValueExpException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.management.BadBinaryOpValueExpException

All Implemented Interfaces:
  `Serializable`

    public class BadBinaryOpValueExpException
    extends Exception

Thrown when an invalid expression is passed to a method for constructing a query. This exception is used internally by JMX during the evaluation of a query. User code does not usually see it.

Since:
  1.5
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BadBinaryOpValueExpException​(ValueExp exp)` | Constructs a `BadBinaryOpValueExpException` with the specified `ValueExp`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ValueExp` | `getExp()` | Returns the `ValueExp` that originated the exception.
  `String` | `toString()` | Returns the string representing the object.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BadBinaryOpValueExpException

    public BadBinaryOpValueExpException​(ValueExp exp)
    Constructs a `BadBinaryOpValueExpException` with the specified `ValueExp`.
    Parameters:
      `exp` - the expression whose value was inappropriate.

- ## Method Details

  - ### getExp

    public ValueExp getExp()
    Returns the `ValueExp` that originated the exception.
    Returns:
      the problematic `ValueExp`.

  - ### toString

    public String toString()
    Returns the string representing the object.
    Overrides:
      `toString` in class `Throwable`
    Returns:
      a string representation of this throwable.